> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlock asset

> Unlocks an asset by its ID.



## OpenAPI

````yaml post /workspaces/assets/{asset_id}/unlock
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/unlock:
    post:
      tags:
        - Asset
      description: Unlocks an asset by its ID.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Asset unlocked successfully
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````